Skip to content
GET /unified/hris/groups/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

typestring

Type of the group. Some underlying providers use this to differentiate between in-built and user created groups.

Possible values:
business_unitclassclient_teamcost_centerdepartmentdepartmentsdivisiongroupofficeorg_locationorg_unitorganization+ 4 more
8 supported3 required
Kenjo
required
departmentsteams
Oracle Netsuite
required
departmentclass
Rippling
required
departmentteam
Charlie
supported
Factorial
supported
IntelliHR
supported
Lucca
supported
Okta
supported
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

idstring
required·

The unique identifier for groups

11 supported
Charlie
supported
Factorial
supported
Google
supported
Google Workspace
supported
HR Cloud
supported
IntelliHR
supported
Kenjo
supported
Lucca
supported
Oracle Netsuite
supported
Okta
supported
Rippling
supported
created_atstring · date-time

This represents the date when the groups was created

2 supported
Okta
supported
Rippling
supported
descriptionstring

Short description of the group

6 supported
Factorial
supported
Google
supported
Google Workspace
supported
IntelliHR
supported
Lucca
supported
Okta
supported
namestring

Group's name

11 supported
Charlie
supported
Factorial
supported
Google
supported
Google Workspace
supported
HR Cloud
supported
IntelliHR
supported
Kenjo
supported
Lucca
supported
Oracle Netsuite
supported
Okta
supported
Rippling
supported
parent_groupstring

Parent Group of this group

4 supported
IntelliHR
supported
Lucca
supported
Oracle Netsuite
supported
Rippling
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

typestring

Type of the group. Some underlying providers use this to differentiate between in-built and user created groups.

Possible values:
teamdepartmentgroupcost_centerorg_unitofficedivisionbusiness_unitorganizationorg_locationpay_groupproject_team+ 3 more
8 supported
Charlie
supported
Factorial
supported
IntelliHR
supported
Kenjo
supported
Lucca
supported
Oracle Netsuite
supported
Okta
supported
Rippling
supported
updated_atstring · date-time

This represents the date when the groups was updated

3 supported
Oracle Netsuite
supported
Okta
supported
Rippling
supported
curl -X GET 'https://api.truto.one/unified/hris/groups/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/hris/groups/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/hris/groups/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'hris',
  'groups',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "hris",
        "groups",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())